> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1replicationdiagnosticschangesetstate



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Replication//swagger/v1/swagger.json post /api/v1/Replication/Diagnostics/changeSetState
openapi: 3.0.0
info:
  title: NDS.Services.Replication
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Replication/
security: []
paths:
  /api/v1/Replication/Diagnostics/changeSetState:
    post:
      tags:
        - ReplicationDiagnostics
      operationId: ReplicationDiagnostics_GetChangeSetStatus
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetChangeSetStatus'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetChangeSetStatusResult'
components:
  schemas:
    GetChangeSetStatus:
      type: object
      additionalProperties: false
      properties:
        Collection:
          type: string
          nullable: true
        Node:
          type: string
          nullable: true
        Increment:
          type: integer
          format: int64
        LocalOnly:
          type: boolean
    GetChangeSetStatusResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Servers:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ServerStatus'
            Collection:
              type: string
              nullable: true
            Node:
              type: string
              nullable: true
            ChangeSet:
              type: integer
              format: int64
            FullyReplicated:
              type: boolean
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    ServerStatus:
      type: object
      additionalProperties: false
      properties:
        Server:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ServerId'
        HasChange:
          type: boolean
        Nodes:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/NodeStatus2'
        Info:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/LogData'
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    ServerId:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
    NodeStatus2:
      type: object
      additionalProperties: false
      properties:
        Node:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/NodeId'
        HasChange:
          type: boolean
        Info:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/LogData'
    LogData:
      type: object
      additionalProperties: false
      properties:
        IsError:
          type: boolean
        Type:
          type: string
          nullable: true
        Message:
          type: string
          nullable: true
        Data:
          type: string
          nullable: true
        Timestamps:
          type: array
          nullable: true
          items:
            type: string
            format: date-time
    NodeId:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true

````